#version 330 core
  
layout(location=0) in vec2 vVertex; //położenie wierzchołka w przestrzeni obiektu

//Wyjście shadera wierzchołków
smooth out vec2 vUV;	//współrzędne teksturowe potrzebne do próbkowania tekstury w shaderze fragmentów

void main()
{    
	//wyprowadzenie położenia w przestrzeni przycięcia
	gl_Position = vec4(vVertex*2.0-1,0,1);	 

	//ustawienie wejściowego położenia w przestrzeni obiektu jako współrzędnych teksturowych 
	vUV = vVertex;
}